#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(voicebus_set_minlatency, "", "");
KSYMTAB_FUNC(voicebus_current_latency, "", "");
KSYMTAB_FUNC(voicebus_transmit, "", "");
KSYMTAB_FUNC(voicebus_start, "", "");
KSYMTAB_FUNC(voicebus_stop, "", "");
KSYMTAB_FUNC(voicebus_quiesce, "", "");
KSYMTAB_FUNC(voicebus_release, "", "");
KSYMTAB_FUNC(__voicebus_init, "", "");
KSYMTAB_FUNC(vpmadtreg_register, "", "");
KSYMTAB_FUNC(vpmadtreg_unregister, "", "");
KSYMTAB_FUNC(vpmadt032_echocan_create, "", "");
KSYMTAB_FUNC(vpmadt032_echocan_free, "", "");
KSYMTAB_FUNC(vpmadt032_alloc, "", "");
KSYMTAB_FUNC(vpmadt032_reset, "", "");
KSYMTAB_FUNC(vpmadt032_test, "", "");
KSYMTAB_FUNC(vpmadt032_init, "", "");
KSYMTAB_FUNC(vpmadt032_get_default_parameters, "", "");
KSYMTAB_FUNC(vpmadt032_free, "", "");
KSYMTAB_FUNC(gpakConfigurePorts, "", "");
KSYMTAB_FUNC(gpakConfigureChannel, "", "");
KSYMTAB_FUNC(gpakAlgControl, "", "");
KSYMTAB_FUNC(gpakPingDsp, "", "");
KSYMTAB_FUNC(vpmoct_alloc, "", "");
KSYMTAB_FUNC(vpmoct_free, "", "");
KSYMTAB_FUNC(vpmoct_init, "", "");
KSYMTAB_FUNC(vpmoct_echocan_create, "", "");
KSYMTAB_FUNC(vpmoct_echocan_free, "", "");
KSYMTAB_FUNC(vpmoct_preecho_enable, "", "");
KSYMTAB_FUNC(vpmoct_preecho_disable, "", "");

MODULE_INFO(depends, "dahdi");

